commit:     759459fffe014945e1e564cceb31935b7dc3ca16
Author:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
AuthorDate: Thu Feb 25 00:39:48 2016 +0000
Commit:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Thu Feb 25 00:39:58 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=759459ff

dev-python/jpype: Add jpype to the tree.

JPype is an effort to allow Python programs full access to Java class libraries.

Gentoo-Bug: https://bugs.gentoo.org/304325
URL: https://github.com/originell/jpype

Package-Manager: portage-2.2.26
Signed-off-by: Patrice Clement <monsieurp <AT> gentoo.org>

 dev-python/jpype/Manifest           |  1 +
 dev-python/jpype/jpype-0.6.1.ebuild | 42 +++++++++++++++++++++++++++++++++++++
 dev-python/jpype/metadata.xml       | 19 +++++++++++++++++
 3 files changed, 62 insertions(+)

diff --git a/dev-python/jpype/Manifest b/dev-python/jpype/Manifest
new file mode 100644
index 0000000..06504b3
--- /dev/null
+++ b/dev-python/jpype/Manifest
@@ -0,0 +1 @@
+DIST jpype-0.6.1.zip 251407 SHA256 
63ad841bae8d4a75e657f867122ef569ef6e9545d6880d30da63930bc74816e5 SHA512 
e3cdae95a394f5b57049f444e4da442a75938279f77d74304ac6a45bf00eb4110d3a63b5580e30d82777764f195f848639f6b4e973e48510d0f5cd60c475ce2f
 WHIRLPOOL 
5ae85f6a1e52f8fc26242f8772f467df06bca15447db9ac3881e1688bb86966aa3eeb542ad228779b286be3b7ece46cba13b15835bb6914eb2861122f614429f

diff --git a/dev-python/jpype/jpype-0.6.1.ebuild 
b/dev-python/jpype/jpype-0.6.1.ebuild
new file mode 100644
index 0000000..f8d469f
--- /dev/null
+++ b/dev-python/jpype/jpype-0.6.1.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python2_7 python3_{3,4,5} )
+
+inherit distutils-r1 java-pkg-opt-2
+
+DESCRIPTION="JPype is an effort to allow Python programs full access to Java 
class libraries"
+HOMEPAGE="https://github.com/originell/jpype";
+SRC_URI="https://github.com/originell/${PN}/archive/v${PV}.zip -> ${P}.zip"
+
+LICENSE="Apache-1.1"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc examples"
+
+S="${WORKDIR}/${P}"
+
+DEPEND="
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       >=virtual/jdk-1.6"
+
+pkg_setup() {
+       java-pkg_init
+}
+
+python_compile() {
+       if ! python_is_python3; then
+               local CXXFLAGS="${CXXFLAGS} -fno-strict-aliasing"
+               export CXXFLAGS
+       fi
+       distutils-r1_python_compile
+}
+
+python_install() {
+       use doc && local DOCS=( doc/* )
+       use examples && local EXAMPLES=( examples/. )
+       distutils-r1_python_install
+}

diff --git a/dev-python/jpype/metadata.xml b/dev-python/jpype/metadata.xml
new file mode 100644
index 0000000..c8bb153
--- /dev/null
+++ b/dev-python/jpype/metadata.xml
@@ -0,0 +1,19 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+       <upstream>
+               <remote-id type="github">originell/jpype</remote-id>
+       </upstream>
+       <maintainer type="person">
+               <email>[email protected]</email>
+               <name>Patrice Clement</name>
+       </maintainer>
+       <maintainer type="project">
+               <email>[email protected]</email>
+               <name>Python</name>
+       </maintainer>
+       <maintainer type="project">
+               <email>[email protected]</email>
+               <name>Java</name>
+       </maintainer>
+</pkgmetadata>

Reply via email to